<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Automatically generated strings for Moodle installer
 *
 * Do not edit this file manually! It contains just a subset of strings
 * needed during the very first steps of installation. This file was
 * generated automatically by export-installer.php (which is part of AMOS
 * {@link http://docs.moodle.org/dev/Languages/AMOS}) using the
 * list of strings defined in /install/stringnames.txt.
 *
 * @package   installer
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['admindirname'] = 'دایرکتوری مدیر';
$string['availablelangs'] = 'بسته‌های زبانی موجود';
$string['chooselanguagehead'] = 'انتخاب زبان';
$string['chooselanguagesub'] = 'لطفاً زبانی را به جهت استفاده در حین نصب انتخاب نمائید. زبان سایت و کاربر را در صفحه‌ای دیگر می‌توانید انتخاب کنید.';
$string['dataroot'] = 'دایرکتوری داده';
$string['dbprefix'] = 'پیشوند جدول‌ها';
$string['dirroot'] = 'دایرکتوری مودل';
$string['environmenthead'] = 'بررسی محیط شما ...';
$string['installation'] = 'در حال نصب';
$string['langdownloaderror'] = 'متأسفانه زبان «{$a}» نصب نشد. فرآیند نصب به زبان انگلیسی ادامه خواهد یافت.';
$string['memorylimithelp'] = '<p>حد حافظهٔ PHP کارگزار شما هم‌اکنون {$a}  است.</p>

<p>این مسئله ممکن است در آینده سبب بروز مشکلات مربوط به حافظه برای مودل شود،
به‌خصوص اگر شما ماژول‌های فعال و/یا کاربران زیادی داشته باشید.</p>

<p>توصیه می‌کنیم که در صورت امکان PHP را با مقدار بیشتری مثل 40M پیکربندی نمائید.
روش‌های متعددی برای انجام این کار وحود دارد که می‌توانید آن‌ها را امتحان نمائید:</p>
<ol>
<li>اگر می‌توانید، PHP را با <span dir="ltr"><i>--enable-memory-limit</i></span> مجدداً compile نمائید.
این کار به مودل اجازه خواهد داد که حد حافظه را خودش تعیین کند.</li>
<li>اگر به فایل php.ini خود دسترسی دارید، می‌توانید مقدار <b>memory_limit</b>
را به چیزی مثل 40M تغییر دهید. اگر دسترسی ندارید، می‌توانید
از مدیر کارگزار خود بخواهید که این کار را برای شما انجام دهد.</li>
<li>در بعضی از کارگزارهای PHP شما می‌توانید یک فایل <span dir="ltr">.htaccess</span> محتوی خط زیر
در دایرکتوری مودل ایجاد کنید:
    <blockquote><div>php_value memory_limit 40M</div></blockquote>
<p>اگرچه، در برخی از کارگزارها انجام این کار موجب جلوگیری از کارکردن <b>همهٔ</b> صفحه‌های PHP خواهد شد
(هنگام مشاهدهٔ صفحه‌ها خطاهایی خواهید دید) و مجبور خواهید بود که فایل <span dir="ltr">.htaccess</span> را پاک کنید.</p></li>
</ol>';
$string['phpversion'] = 'نسخهٔ PHP';
$string['phpversionhelp'] = '<p>مودل نیاز به PHP نسخهٔ حداقل 4.3.0 یا 5.1.0 دارد (<span dir="ltr">5.0.x</span> مشکلات شناخته‌شده‌ای دارد).</p>
<p>شما در حال حاضر از نسخهٔ {$a} استفاده می‌کنید</p>
<p>باید PHP را ارتقاء دهید یا از کارگزاری دارای نسخهٔ جدیدتر PHP استفاده نمائید!<br />
(در صورت استفاده از <span dir="ltr">5.0.x</span> به نسخهٔ <span dir="ltr">4.4.x</span> هم می‌توانید برگردید)</p>';
$string['welcomep10'] = '{$a->installername} (<span dir="ltr">{$a->installerversion}</span>)';
$string['welcomep20'] = 'دیدن این صفحه به معنی نصب و راه‌اندازی موفق بستهٔ
    <strong>{$a->packname} <span dir="ltr">{$a->packversion}</span></b></strong> است. تبریک!';
$string['welcomep30'] = 'این نسخهٔ <strong>{$a->installername}</strong> شامل برنامه‌هایی
برای ایجاد محیطی برای کار کردن <strong>مودل</strong> است، برای مثال:';
$string['welcomep40'] = 'بستهٔ مورد نظر همچنین شامل <strong>مودل <span dir="ltr>{$a->moodlerelease}</span> )<span dir="ltr>{$a->moodleversion}</span>(</strong> است.';
$string['welcomep50'] = 'استفاده از هر کدام از برنامه‌های این بسته توسط اجازه‌نامه‌های مربوطهٔ آن‌ها معین
شده است. بستهٔ کامل <strong>{$a->installername}</strong>
<a href="http://www.opensource.org/docs/definition_plain.html">متن‌باز</a> است و تحت
اجازه‌نامهٔ <a href="http://www.gnu.org/copyleft/gpl.html">GPL</a> توزیع شده است.';
$string['welcomep60'] = 'صفحه‌های بعدی با مراحل ساده‌ای شما را هدایت می‌کنند تا
<strong>مودل</strong> را روی رایانهٔ خود پیکربندی و برپا کنید. می‌توانید تنظیمات
پیش‌فرض را بپذیرید یا (در صورت تمایل) آن‌ها را مطابق با نیاز خود تغییر دهید.';
$string['welcomep70'] = 'برای برپاسازی <strong>مودل</strong> بر روی دکمهٔ «بعدی» در پائین کلیک نمائید.';
$string['wwwroot'] = 'آدرس وب';
